{% extends 'base.html.twig' %}

{% block title %}Liste des produits{% endblock %}

{% block body %}
    <h1 class="mx-4 text-center pb-3 mt-2">Liste des produits</h1>


    <div class="album">
        <div class="container">
            <div class="row row-cols-1 row-cols-md-2 mb-3 g-3 text-center">
                {% for produit in produits %}
                    <div class="col">
                        <div class="card mb-4 rounded-3 shadow-sm">
                            <div class="card-header py-3 vertClaire">
                                <h4 class="my-0 fw-normal">{{ produit.nom }}</h4>
                            </div>
                            <div class="card-body">
                                <img src='{{ asset('/images/' ~ produit.image) }}' width="60%">
                                <div class="justify-content-center d-flex">
                                    <a class="btn turquoise m-2" href="{{ path('app_controller_produit_show', {'id': produit.id}) }}"><i class="bi bi-book"></i> Détails</a>
                                    <a class="btn grisVert m-2" href="{{ path('app_controller_produit_edit', {'id': produit.id}) }}"><i class="bi bi-pencil"></i> Modifier</a>
                                    <a class="btn bleuFonce m-2" href="{{ path('app_controleur_sondage_new', {'id': produit.id}) }}"><i class="bi bi-plus"></i> Ajouter
                                        sondage</a>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>


    <a class="text-center btn btn-info d-grid col-2 mx-auto mb-3 d-flex justify-content-center text-white" href="{{ path('app_controller_produit_new') }}"><i class="bi bi-plus"></i>&nbsp;Nouveau produit</a>
    </div>
{% endblock %}



